Subject: Re: [Bitcoin-development] Concerns Regarding Threats by a Developer to Remove Commit Access from Other Developers

From: Gregory Maxwell <[email-masked]>
Date: Thu, 18 Jun 2015 15:58:31 +0000

On Thu, Jun 18, 2015 at 1:36 PM, Mike Hearn <[email-masked]> wrote:
>> And allegations that the project is "run like wikipedia" or "an edit war"
>> are verifyably untrue.
>> Check the commit history.
>
> This was a reference to a post by Gregory on Reddit where he said if Gavin
> were to do a pull request for the block size change and then merge it, he
> would revert it. And I fully believe he would do so!

http://www.reddit.com/r/Bitcoin/comments/37pv74/gavin_andresen_moves_ahead_with_push_for_bigger/croxw9o?context=1

This is the only reddit comment I've made using the word revert in
recent memory, so I know you couldn't be referring to another.

>> I was recently in a situation similar to what Gavin is in insofar as a design dispute that could improperly solved by a git push. I'm pretty impressed he hasn't given in and done a midnight push. It's cool to see him back channeling support.
> Such a change would be immediately reverted.

And, I probably should have continued "and resulted with an immediate
revocation of commit rights on the assumption that his account had
been compromised."

There is nothing controversial about that.